package com.mdd.admin.validate.config;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import java.io.Serializable;
import javax.validation.constraints.NotNull;

@ApiModel("系统配置更新参数")
public class UserConfigUpdateValidate implements Serializable {
   private static final long serialVersionUID = 1L;
   @ApiModelProperty("用户ID")
   private Integer userId;
   @ApiModelProperty("配置类型(0: 系统配置, 1: 客户端模板配置）")
   private @NotNull(
   message = "type参数缺失"
) Integer type;
   @ApiModelProperty("客户端域名")
   private String domain;
   @ApiModelProperty("服务器模板ID")
   private Integer templateId;
   @ApiModelProperty("模板类别")
   private Integer category;
   @ApiModelProperty("值")
   private @NotNull(
   message = "value参数缺失"
) String value;

   public Integer getUserId() {
      return this.userId;
   }

   public @NotNull(
   message = "type参数缺失"
) Integer getType() {
      return this.type;
   }

   public String getDomain() {
      return this.domain;
   }

   public Integer getTemplateId() {
      return this.templateId;
   }

   public Integer getCategory() {
      return this.category;
   }

   public @NotNull(
   message = "value参数缺失"
) String getValue() {
      return this.value;
   }

   public void setUserId(Integer userId) {
      this.userId = userId;
   }

   public void setType(@NotNull(
   message = "type参数缺失"
) Integer type) {
      this.type = type;
   }

   public void setDomain(String domain) {
      this.domain = domain;
   }

   public void setTemplateId(Integer templateId) {
      this.templateId = templateId;
   }

   public void setCategory(Integer category) {
      this.category = category;
   }

   public void setValue(@NotNull(
   message = "value参数缺失"
) String value) {
      this.value = value;
   }

   public boolean equals(Object o) {
      if (o == this) {
         return true;
      } else if (!(o instanceof UserConfigUpdateValidate)) {
         return false;
      } else {
         UserConfigUpdateValidate other = (UserConfigUpdateValidate)o;
         if (!other.canEqual(this)) {
            return false;
         } else {
            Object this$userId = this.getUserId();
            Object other$userId = other.getUserId();
            if (this$userId == null) {
               if (other$userId != null) {
                  return false;
               }
            } else if (!this$userId.equals(other$userId)) {
               return false;
            }

            Object this$type = this.getType();
            Object other$type = other.getType();
            if (this$type == null) {
               if (other$type != null) {
                  return false;
               }
            } else if (!this$type.equals(other$type)) {
               return false;
            }

            Object this$templateId = this.getTemplateId();
            Object other$templateId = other.getTemplateId();
            if (this$templateId == null) {
               if (other$templateId != null) {
                  return false;
               }
            } else if (!this$templateId.equals(other$templateId)) {
               return false;
            }

            label62: {
               Object this$category = this.getCategory();
               Object other$category = other.getCategory();
               if (this$category == null) {
                  if (other$category == null) {
                     break label62;
                  }
               } else if (this$category.equals(other$category)) {
                  break label62;
               }

               return false;
            }

            label55: {
               Object this$domain = this.getDomain();
               Object other$domain = other.getDomain();
               if (this$domain == null) {
                  if (other$domain == null) {
                     break label55;
                  }
               } else if (this$domain.equals(other$domain)) {
                  break label55;
               }

               return false;
            }

            Object this$value = this.getValue();
            Object other$value = other.getValue();
            if (this$value == null) {
               if (other$value != null) {
                  return false;
               }
            } else if (!this$value.equals(other$value)) {
               return false;
            }

            return true;
         }
      }
   }

   protected boolean canEqual(Object other) {
      return other instanceof UserConfigUpdateValidate;
   }

   public int hashCode() {
      int PRIME = true;
      int result = 1;
      Object $userId = this.getUserId();
      result = result * 59 + ($userId == null ? 43 : $userId.hashCode());
      Object $type = this.getType();
      result = result * 59 + ($type == null ? 43 : $type.hashCode());
      Object $templateId = this.getTemplateId();
      result = result * 59 + ($templateId == null ? 43 : $templateId.hashCode());
      Object $category = this.getCategory();
      result = result * 59 + ($category == null ? 43 : $category.hashCode());
      Object $domain = this.getDomain();
      result = result * 59 + ($domain == null ? 43 : $domain.hashCode());
      Object $value = this.getValue();
      result = result * 59 + ($value == null ? 43 : $value.hashCode());
      return result;
   }

   public String toString() {
      return "UserConfigUpdateValidate(userId=" + this.getUserId() + ", type=" + this.getType() + ", domain=" + this.getDomain() + ", templateId=" + this.getTemplateId() + ", category=" + this.getCategory() + ", value=" + this.getValue() + ")";
   }
}
